package game_service

import "evening_detective_server/internal/repos"

func mapTeam(
	o *repos.Team,
) *Team {
	return &Team{
		ID:       o.ID,
		Name:     o.Name,
		Status:   o.Status,
		Password: o.Password,
	}
}

func mapTeams(
	o []*repos.Team,
) []*Team {
	res := make([]*Team, 0, len(o))
	for _, item := range o {
		res = append(res, mapTeam(item))
	}
	return res
}
